Chromium Code Reviews
chromiumcodereview-hr@appspot.gserviceaccount.com (chromiumcodereview-hr) | Please choose your nickname with Settings | Help | Chromium Project | Gerrit Changes | Sign out
(90)

Unified Diff: platform_tools/android/bin/android_make

Issue 223613004: hack hack hack on android scripts (Closed) Base URL: https://skia.googlesource.com/skia.git@master
Patch Set: script dir abs Created 6 years, 9 months ago
Use n/p to move between diff chunks; N/P to move between comments. Draft comments are only viewable by you.
Jump to:
View side-by-side diff with in-line comments
Download patch
« no previous file with comments | « no previous file | platform_tools/android/bin/android_run_skia » ('j') | no next file with comments »
Expand Comments ('e') | Collapse Comments ('c') | Show Comments Hide Comments ('s')
Index: platform_tools/android/bin/android_make
diff --git a/platform_tools/android/bin/android_make b/platform_tools/android/bin/android_make
index a465a43b0aee86052e1e52acc1bef5c4625a3a35..572f4a133112b018af4725152af99dcda3aa0019 100755
--- a/platform_tools/android/bin/android_make
+++ b/platform_tools/android/bin/android_make
@@ -1,23 +1,18 @@
#!/bin/bash
+# Fail-fast if anything in the script fails.
+set -e
+
# Remove any existing .android_config file before running android_setup. If we
# did not remove this now then we would build for whatever device type was
# listed in the .android_config instead of the default device type.
rm -f .android_config
-SCRIPT_DIR="$( cd "$( dirname "${BASH_SOURCE[0]}" )" && pwd )"
+SCRIPT_DIR=$(dirname "${BASH_SOURCE[0]}")
source $SCRIPT_DIR/android_setup.sh
-# Fail-fast if anything in the script fails.
-# Don't do this until "source android_setup.sh" is done; see
-# https://codereview.chromium.org/223943002 for discussion.
-set -e
-
GYP_GENERATORS=ninja-android ./gyp_skia
-OUT=$SKIA_OUT/${BUILDTYPE-Debug} # Defaults to Debug if BUILDTYPE isn't set.
-ninja -C $OUT ${APP_ARGS[@]}
-ln -sf lib $OUT/lib.target # android_run_skia looks in lib.target; ninja writes to lib.
- # TODO(mtklein): change android_run_skia
+ninja -C $SKIA_OUT/$BUILDTYPE ${APP_ARGS[@]}
# Write the device id into the .android_config file. This tells
# android_run_skia the last build we completed.
« no previous file with comments | « no previous file | platform_tools/android/bin/android_run_skia » ('j') | no next file with comments »

Powered by Google App Engine
This is Rietveld 408576698